|
|
Author: twoerner
Update of /cvs/dist/rpms/sendmail/FC-6
In directory cvs.devel.redhat.com:/tmp/cvs-serv15500
Modified Files:
sendmail.init sendmail.spec
Log Message:
- made init script fully lsb conform
Index: sendmail.init
===================================================================
RCS file: /cvs/dist/rpms/sendmail/FC-6/sendmail.init,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- sendmail.init 29 Aug 2007 16:29:07 -0000 1.16
+++ sendmail.init 17 Sep 2007 15:55:38 -0000 1.17
@@ -137,12 +137,12 @@
RETVAL=$?
;;
stop)
- [ $running -ne 0 ] || exit 0
+ [ $running -eq 0 ] || exit 0
stop
RETVAL=$?
;;
reload)
- [ $running -ne 0 ] && exit 7
+ [ $running -eq 0 ] || exit 7
reload
RETVAL=$?
;;
@@ -152,7 +152,7 @@
RETVAL=$?
;;
condrestart|try-restart)
- [ ! -f /var/lock/subsys/sendmail ] && exit 7
+ [ $running -eq 0 ] || exit 0
stop
start
RETVAL=$?
@@ -165,7 +165,7 @@
;;
*)
echo $"Usage: $0 {start|stop|restart|condrestart|status}"
- RETVAL=3
+ RETVAL=2
esac
exit $RETVAL
Index: sendmail.spec
===================================================================
RCS file: /cvs/dist/rpms/sendmail/FC-6/sendmail.spec,v
retrieving revision 1.78
retrieving revision 1.79
diff -u -r1.78 -r1.79
--- sendmail.spec 29 Aug 2007 16:29:07 -0000 1.78
+++ sendmail.spec 17 Sep 2007 15:55:38 -0000 1.79
@@ -15,7 +15,7 @@
Summary: A widely used Mail Transport Agent (MTA)
Name: sendmail
Version: 8.14.1
-Release: 4.1%{?dist}
+Release: 4.2%{?dist}
License: Sendmail
Group: System Environment/Daemons
URL: http://www.sendmail.org/
@@ -537,6 +537,9 @@
%changelog
+* Mon Sep 17 2007 Thomas Woerner <twoerner@xxxxxxxxxx> 8.14.1-4.2
+- made init script fully lsb conform
+
* Wed Aug 29 2007 Thomas Woerner <twoerner@xxxxxxxxxx> 8.14.1-4.1
- fixed condrestart in init script to use exit instead of return
- dropped glibc-2.6.90+ patch for FC-6
--
fedora-cvs-commits mailing list
fedora-cvs-commits@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/fedora-cvs-commits
|
|